package example;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.data.geo.Distance;
import org.springframework.data.geo.Metrics;
import org.springframework.data.mongodb.core.geo.GeoJsonPoint;
import org.springframework.stereotype.Component;

@Component
public class ExampleRunner implements ApplicationRunner {

    @Autowired
    private EntityRepository entityRepository;

    @Override
    public void run(final ApplicationArguments args) throws Exception {
        // add an entry if database is empty
        if (entityRepository.count() == 0) {
            entityRepository.save(new EntityWithPoint(new GeoJsonPoint(10, 10)));
        }

        entityRepository.countByPositionNear(new GeoJsonPoint(10.1, 10.1), new Distance(1000, Metrics.KILOMETERS));
    }

}
